Search events
curl --request GET \
--url https://api.probsights.com/v1/search/events \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.probsights.com/v1/search/events"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.probsights.com/v1/search/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"event_id": "<string>",
"exchange": "<string>",
"series_id": "<string>",
"title": "<string>",
"url": "<string>",
"image_url": "<string>",
"status": "<string>",
"market_count": 123,
"total_volume": 123,
"total_liquidity": 123,
"market_questions": [
{}
]
}Search
Search events
Find events by text query or series.
GET
/
v1
/
search
/
events
Search events
curl --request GET \
--url https://api.probsights.com/v1/search/events \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.probsights.com/v1/search/events"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.probsights.com/v1/search/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"event_id": "<string>",
"exchange": "<string>",
"series_id": "<string>",
"title": "<string>",
"url": "<string>",
"image_url": "<string>",
"status": "<string>",
"market_count": 123,
"total_volume": 123,
"total_liquidity": 123,
"market_questions": [
{}
]
}An event groups the outcome markets for one tradable window (e.g. one 15-minute
Bitcoin interval). Provide
q, series_id, or both.
Request
https://api.probsights.com/v1/search/events
Query parameters
Substring match on title, subtitle, source event id, and market questions.
Required unless
series_id is set.relevance, newest, markets, volume, or liquidity.
Defaults to relevance when q is set, otherwise newest.Response
Returns a JSON array of event objects.Examples
Active events in a Kalshi BTC 15m series
curl -H "X-API-Key: YOUR_API_KEY" \
"https://api.probsights.com/v1/search/events?series_id=KXBTC15M&status=active&limit=10"
import requests
response = requests.get(
"https://api.probsights.com/v1/search/events",
headers={"X-API-Key": "YOUR_API_KEY"},
params={"series_id": "KXBTC15M", "status": "active", "limit": 10},
)
events = response.json()